Bug 1014876 - Show Failed Results doesn't show warns/panics
Show Failed Results doesn't show warns/panics
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.15
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.15.1
: ---
Assigned To: Nick Coghlan
tools-bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 21:27 EDT by Bill Peck
Modified: 2013-10-23 02:56 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-23 02:56:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2013-10-02 21:27:06 EDT
Description of problem:
When viewing results from the job page clicking on "Show Failed Results" will not show Warn or Panic resuls.

Version-Release number of selected component (if applicable):
0.15

How reproducible:
everytime 

Steps to Reproduce:
1. find a job that has warns
2.
3.
Comment 2 Nick Coghlan 2013-10-02 22:12:35 EDT
These states are correctly causing the "Show Failed Results" button to appear, but are not showing up when it is clicked. The result filter needs to be updated to match the one that controls whether or not the button is shown.
Comment 3 Nick Coghlan 2013-10-03 01:04:40 EDT
OK, I figured out *why* this is breaking: the check to decide whether or not to display the button uses Recipe.is_failed, which correctly checks for warn, fail and panic results.

However, the GET request to tasks/do_search only accepts a single "result" and at the moment the failed results tab is only asking for Fail results, leaving out Warn and Panic.
Comment 4 Nick Coghlan 2013-10-03 01:27:08 EDT
Solution will be to accept multiple "result" values for tasks/do_search and update the JS call appropriately.
Comment 5 Nick Coghlan 2013-10-03 01:52:25 EDT
Initial patch on Gerrit: http://gerrit.beaker-project.org/2327
Comment 7 wangjing 2013-10-10 05:20:58 EDT
verified on beaker-devel Version 0.15.0(2013-10-10)-->pass

steps:
1. click on "Show Failed Results" on job pages containing Warn results
2. click on "Show Failed Results" on job pages containing Panic results

actual results:
same as expected results.

expected results:
should show Warn/Panic results accordingly.
Comment 8 Raymond Mancy 2013-10-23 02:56:40 EDT
beaker 0.15.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.